Subject: Need repair advice- cheap ITC table saw

From: "Abacab" <[email-masked]>
Date: 9 Feb 1997 00:27:02 GMT

Does anyone know anything about ITC (International Tool Company) power
tools, or which other brands may be built by the same people.

I have, please forgive me, a cheap Japanese table saw.  The main cast unit,
called a trunnion I believe, has gears cast directly in it in which the
worm gear from the blade height adjuster meshes.  The spring pin, which
holds the worm gear in place, had worked out and ground out a great deal of
the teeth from this main cast piece, causing excessive play and inaccurate
height adjustment.

I need to find a source that can either provide a replacement piece, or
that can reteeth my existing one.

Any advice would be greatly appreciated.

Kind Regards,

Dan Hamill
Atlantic Canada

P.S.  Anyone have a good used Delta or General table saw for sale? :-)